Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.ImportDeclarationContext

- org.apache.groovy.parser.antlr4.GroovyParser.ImportDeclarationContext

-     public static class GroovyParser.ImportDeclarationContext
      extends GroovyParser.GroovyParserRuleContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `GroovyParser.IdentifierContext` | `alias` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ImportDeclarationContext (ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `AS()`
    `` | `public TerminalNode` | `DOT()`
    `` | `public TerminalNode` | `IMPORT()`
    `` | `public TerminalNode` | `MUL()`
    `` | `public TerminalNode` | `STATIC()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public GroovyParser.AnnotationsOptContext` | `annotationsOpt()`
    `` | `public int` | `getRuleIndex()`
    `` | `public GroovyParser.IdentifierContext` | `identifier()`
    `` | `public GroovyParser.QualifiedNameContext` | `qualifiedName()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyParser.GroovyParserRuleContext` | `getMetaDataMap, setMetaDataMap`

- - ### Field Detail

    - #### public GroovyParser.IdentifierContext alias

  - ### Constructor Detail

    - #### public ImportDeclarationContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### public TerminalNode AS()

    - #### public TerminalNode DOT()

    - #### public TerminalNode IMPORT()

    - #### public TerminalNode MUL()

    - #### public TerminalNode STATIC()

    - #### <Result> @Override public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public GroovyParser.AnnotationsOptContext annotationsOpt()

    - #### @Override public int getRuleIndex()

    - #### public GroovyParser.IdentifierContext identifier()

    - #### public GroovyParser.QualifiedNameContext qualifiedName()